


eureka:
  instance:
    instance-id: ${spring.application.name}-${random.uuid}
  client:
    service-url:
      defaultZone: http://localhost:8761/eureka
    register-with-eureka: off



zuul:
  sensitive-headers:
  routes:
    posts:
      serviceId: posts
      path: /posts/**
      stripPrefix: false
    comments:
      serviceId: comments
      path: /comments/**
      stripPrefix: false
#    postalCode:
#      url: https://viacep.com.br/ws/
#      path: /postal-code/**
#    composition:
#      url: forward:/composition
#      path: /composition/**
#    monolito:
#      url: http://localhost:8081/
#      path: /**
#      stripPrefix: false


spring:
  application:
    name: zuul